> For the complete documentation index, see [llms.txt](https://docs.scepman.com/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.scepman.com/de/zertifikatsverwaltung/management-rest-api/management-api-in-scepmanclient.md).

# Management-API in SCEPmanClient

Verwenden Sie `Find-SCEPmanCertificate` zum Suchen nach ausgestellten Zertifikaten in SCEPman und `Revoke-SCEPmanCertificate` zum Widerrufen eines Zertifikats, wenn es nicht mehr vertrauenswürdig oder nicht mehr benötigt wird.

### Voraussetzungen

Bevor Sie nach Zertifikaten suchen oder Zertifikate widerrufen können, stellen Sie sicher, dass Ihre Identität die **Manage.All** Rolle hat.

Stellen Sie außerdem sicher, dass die allgemeinen Voraussetzungen für die Verwendung von SCEPmanClient eingerichtet sind: [https://app.gitbook.com/o/-LhPlvZ6dc8XcqY7tdZw/s/-LoGejQeUQcw7lqnQ3WX/\~/edit/\~/changes/863/certificate-management/api-certificates/scepmanclient#prerequisites](/de/zertifikatsverwaltung/api-certificates/scepmanclient.md#prerequisites)

{% hint style="info" %}
Wenn Sie von einer früheren SCEPman-Version aktualisieren, verfügen Sie möglicherweise noch nicht über die Rolle Manage.All. Führen Sie `Complete-SCEPmanInstallation` erneut in einer Cloud Shell aus, um sie automatisch zu Ihrer SCEPman-api-Anwendung hinzuzufügen.
{% endhint %}

### Zertifikate finden

Verwenden Sie `Find-SCEPmanCertificate` zum Suchen nach Zertifikaten anhand ihrer Seriennummer, ihres Betreffs oder Anforderers.

Wenn mindestens ein Zertifikat gefunden wird, wird ein Objekt zurückgegeben, das der folgenden JSON-Struktur ähnelt:

```json
{
  "items": [
    {
    "serialNumber":  "507AEAC03CCEF83F106914418D9222E466A629C1",
    "subject":  "CN=device01.contoso.local",
    "sans":  null,
    "upn":  null,
    "issuanceDate":  "2026-05-28T10:57:22Z",
    "expirationDate":  "2028-05-28T10:57:22Z",
    "revocationDate":  null,
    "revocationReason":  null,
    "revokedBy":  null,
    "requester":  "pkiAdmin@contoso.com",
    "source":  "CertificateMaster",
    "certificateType":  "Static"
    }
  ],
  "continuationToken": "..."
}
```

#### Beispiel: Ein einzelnes Zertifikat anhand der Seriennummer finden

```powershell
Find-SCEPmanCertificate -Url scepman.conitoso.com `
    -SearchText '5056BB9B823132CB26210A4C90A62FB3C25E38D0' `
    | Select-Object -ExpandProperty items

serialNumber     : 5056BB9B823132CB26210A4C90A62FB3C25E38D0
subject          : CN=clara.oswald@contoso.com
sans             : clara.oswald@contoso.com
upn              : clara.oswald@contoso.com
issuanceDate     : 2026-05-28T11:06:11Z
expirationDate   : 2028-05-28T11:06:11Z
revocationDate   :
revocationReason :
revokedBy        :
requester        : pkiAdmin@contoso.com
source           : CertificateMaster
certificateType  : Static
```

### Paged-Ergebnisse verstehen

Wenn der Ergebnissatz groß ist, `Find-SCEPmanCertificate` kann ein Fortsetzungstoken zurückgeben. Verwenden Sie dieses Token, um die nächste Seite anzufordern.

#### Beispiel: Erste Seite mit Fortsetzungstoken

```powershell
$result = Find-SCEPmanCertificate -Url scepman.contoso.com -SearchText "CN=device"
$result
```

Beispielausgabe:

```powershell
ContinuationToken : 1!48!ODY2OURBN0QtQzk0My00QjU3LUI5OEYtNzA5RjY5MDlCRDkw
Items             : {@{serialNumber=60B26DD32CF07F30D6760848A5233CBAE90DCDBC; subject=CN=device01.contoso.local},
                    @{serialNumber=50F1754E85238752527C3140ABD0CEF2C7DC9439; subject=CN=device02.contoso.local}}
```

#### Zur Anzeige der zurückgegebenen Zertifikate im Detail

```powershell
$result = Find-SCEPmanCertificate -Url scepman.contoso.com -SearchText "CN=device"
$result.Items
```

Beispielausgabe:

```powershell
serialNumber                             subject
------------                             -------
60B26DD32CF07F30D6760848A5233CBAE90DCDBC CN=device01.contoso.local
50F1754E85238752527C3140ABD0CEF2C7DC9439 CN=device02.contoso.local
```

#### Fordern Sie die nächste Seite mit dem Fortsetzungstoken an

```powershell
$firstPage = Find-SCEPmanCertificate -Url scepman.contoso.com -SearchText "CN=device"
$nextPage = Find-SCEPmanCertificate -Url scepman.contoso.com -ContinuationToken $firstPage.ContinuationToken
$nextPage.Items
```

Beispielausgabe:

```powershell
serialNumber                             subject
------------                             -------
5048D2541F7F401C42B7E943A7C82FB37A179F83 CN=device03.contoso.local
50BCCDA973AEEA55E00FAF4A9A088DFB7564F263 CN=device04.contoso.local
```

### Ein Zertifikat widerrufen

Verwenden Sie `Revoke-SCEPmanCertificate` zum Widerrufen eines zuvor ausgestellten Zertifikats anhand seiner Seriennummer.

```powershell
Revoke-SCEPmanCertificate -SerialNumber "480552CEBBE40FD5D4417532033728F353040000" -RevocationReason CessationOfOperation
```

#### Beispiel: Ein Zertifikat finden und widerrufen

```powershell
$result= Find-SCEPmanCertificate -Url scepman.contoso.com -SearchText "480552CEBBE40FD5D4417532033728F353040000"
$cert = $result.items

Revoke-SCEPmanCertificate -SerialNumber $cert.Items[0].serialNumber
```

Beispielausgabe:

```powershell
Revoke-SCEPmanCertificate: Zertifikat 480552CEBBE40FD5D4417532033728F353040000 erfolgreich widerrufen.
```


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://docs.scepman.com/de/zertifikatsverwaltung/management-rest-api/management-api-in-scepmanclient.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
